Skip to main content
GET
/
v1
/
wikis
/
{wiki_id}
/
sources
/
batches
Source Batches
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/sources/batches \
  --header 'Authorization: Bearer <token>'
[
  {
    "batch_id": "<string>",
    "created_at": "<string>",
    "error": "<string>",
    "finished_at": "<string>",
    "source_count": 123,
    "status_label": "<string>",
    "summary": "<string>",
    "updated_at": "<string>",
    "wiki_id": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

wiki_id
string
required

Response

Successful Response

batch_id
string
required
created_at
string
required
error
string | null
required
finished_at
string | null
required
source_count
integer
required
status
enum<string>
required
Available options:
uploading,
queued,
completed,
failed
status_label
string
required
status_state
enum<string>
required
Available options:
ready,
running,
failed,
unknown
summary
string | null
required
updated_at
string
required
wiki_id
string
required